;-------------------------------------------------------------------------
;				Comand Table
;-------------------------------------------------------------------------
;
;			Programming commands
;
command_table:
	.db	"PROG", 0, 0
	rjmp	Prog
	.db	"FPR", 0
	rjmp	FastProg		;fast mode
	.db	"READ", 0, 0
	rjmp	Read
;	.db	"CHECK", 0
;	rjmp	check			;Check sum
;	.db	"BLANK", 0
;	rjmp	blank
	.db	"RSIG", 0, 0
	rjmp	rsig
;	.db	"ERASE", 0
;	rjmp	erase
;	.db	"LOCK", 0, 0
;	rjmp	lock			;set, read lock bits
	.db	"VERI", 0, 0
	rjmp	verify
	.db	"RSIZE", 0		;read size
	rjmp	rsize
	.db	"CRC", 0		;read CRC
	rjmp	rcrc
;	.db	"FUSE", 0, 0
;	rjmp	fuse			;set, read fuse bits

;			Device selection

	.db	"DM8", 0
	rjmp	dm8			;ATMEGA8 Flash
	.db	"DEM8", 0, 0
	rjmp	dem8			;ATMEGA8 EPROM
;	.db	"SIZE", 0, 0
;	rjmp	size
	.db	"U5V", 0
	rjmp	u5v			;5V-mode

;			Programmer control

	.db	"VERS", 0, 0
	rjmp	vers			;Version Programmer
	.db	"res", 0
	rjmp	userprog
command_enable:
;	.db	0xF8, 0xF0, 0xE0, 0x80, 0xFC, 0
	.db	0xF8, 0xF0, 0xE0, 0xC0, 0xFC, 0
	rjmp	enable
	.db	0, 0			;last entry, fits ever
prog_error:
	sbr	flags, 1<<f_error
	ret
;-------------------------------------------------------------------------
dem8:	ldi	flags, 1<<f_enable^1<<f_eeprom
u5v:	ret
enable:
	clr	crc_lo
	clr	crc_hi
dm8:	ldi	flags, 1<<f_enable

;	sbi	LED_DDR, LED2		;test output

	ret
;-------------------------------------------------------------------------
check:
blank:
erase:
lock:
fuse:
size:
	ret
;-------------------------------------------------------------------------
